For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
      • GETList contacts
      • POSTCreate a new contact
      • GETFetch a single contact
      • PUTUpdate an existing contact
      • DELDelete a contact
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM CoreContacts

Update an existing contact

||View as Markdown|
PUT
https://api.close.com/api/v1/contact/:id/
PUT
/api/v1/contact/:id/
$curl -X PUT https://api.close.com/api/v1/contact/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "name": "Johnny Smith"
>}'
1{
2 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2013-03-07T23:23:21.495000+00:00",
4 "date_updated": "2013-03-08T13:13:21.495000+00:00",
5 "display_name": "Johnny Smith",
6 "id": "cont_sNIdBgngvbdTTEN1mspKgUqKAWfbul4IITvnWoRw1T7",
7 "name": "Johnny Smith",
8 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
9 "title": "President",
10 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
11 "emails": [
12 {
13 "email": "john@example.com",
14 "is_unsubscribed": false,
15 "type": "office"
16 }
17 ],
18 "lead_id": "lead_QyNaWw4fdSwxl5Mc5daMFf3Y27PpIcH0awPbC9l7uyo",
19 "phones": [
20 {
21 "phone": "+19045551234",
22 "type": "mobile",
23 "country": "US",
24 "phone_formatted": "+1 904-555-1234"
25 }
26 ],
27 "urls": [
28 {
29 "type": "url",
30 "url": "http://twitter.com/google/"
31 }
32 ],
33 "custom.cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj": "Sales Rep"
34}
Update a contact's information. If you're trying to update a custom field and that custom field accepts multiple values, you can specify `.add` or `.remove` as part of the field key to add/remove a single value to/from a list of values, e.g.: ```json { "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c.add": "Wednesday" } ``` adds "Wednesday" to the list of values which already exist on the given contact.
Was this page helpful?
Previous

Fetch a single contact

Next

Delete a contact

Built with

Update a contact’s information. If you’re trying to update a custom field and that custom field accepts multiple values, you can specify .add or .remove as part of the field key to add/remove a single value to/from a list of values, e.g.:

1{ "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c.add": "Wednesday" }

adds “Wednesday” to the list of values which already exist on the given contact.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Request

This endpoint expects any.

Response

Successful response
created_bystring or null
date_createddatetime
date_updateddatetime
display_namestring
idstring
namestring or null
organization_idstring
titlestring or null
updated_bystring or null
emailslist of objects
integration_linkslist of objects
lead_idstring or null
lead_suggestions_operation_idstring or null
phoneslist of objects
recent_callslist of objects
subscriptionslist of objects
timezonestring or null
timezone_sourcestring or null
urlslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error